Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class LabelEx

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Label
              echopointng.LabelEx

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  EditableLabelEx

    public class LabelEx

extends Label
implements Borderable, Sizeable, Insetable, AccessKeyable, MouseCursorable, ToolTipable, Attributeable

`LabelEx` is a LabelEx with extras such as rollovers and borders.

See Also:
  Serialized Form

Field Summary
`static Style` | `DEFAULT_STYLE`
`static java.lang.String` | `PROPERTY_BACKGROUND_IMAGE`
`static java.lang.String` | `PROPERTY_DISABLED_BACKGROUND`
`static java.lang.String` | `PROPERTY_DISABLED_BACKGROUND_IMAGE`
`static java.lang.String` | `PROPERTY_DISABLED_BORDER`
`static java.lang.String` | `PROPERTY_DISABLED_FONT`
`static java.lang.String` | `PROPERTY_DISABLED_FOREGROUND`
`static java.lang.String` | `PROPERTY_DISABLED_ICON`
`static java.lang.String` | `PROPERTY_INTERPRET_NEWLINES`
`static java.lang.String` | `PROPERTY_LINE_WRAP`
`static java.lang.String` | `PROPERTY_ROLLOVER_BACKGROUND`
`static java.lang.String` | `PROPERTY_ROLLOVER_BACKGROUND_IMAGE`
`static java.lang.String` | `PROPERTY_ROLLOVER_BORDER`
`static java.lang.String` | `PROPERTY_ROLLOVER_ENABLED`
`static java.lang.String` | `PROPERTY_ROLLOVER_FONT`
`static java.lang.String` | `PROPERTY_ROLLOVER_FOREGROUND`
`static java.lang.String` | `PROPERTY_ROLLOVER_ICON`

Fields inherited from class nextapp.echo2.app.Label
`PROPERTY_ICON, PROPERTY_ICON_TEXT_MARGIN, PROPERTY_TEXT, PROPERTY_TEXT_ALIGNMENT, PROPERTY_TEXT_POSITION, PROPERTY_TOOL_TIP_TEXT`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`LabelEx()` Creates a label with no text or icon.
`LabelEx(ImageReference icon)` Creates a label with an icon.
`LabelEx(java.lang.String text)` Creates a label with text.
`LabelEx(java.lang.String text, ImageReference icon)` Creates a label with text and an icon.

Method Summary
`java.lang.String` | `getAccessKey()` Returns the access key in use.
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`FillImage` | `getBackgroundImage()` Returns the background image of the LabelEx.
`Border` | `getBorder()`
`Color` | `getDisabledBackground()` Returns the background color of the `LabelEx` when the `LabelEx` is disabled.
`FillImage` | `getDisabledBackgroundImage()` Returns the background image displayed when the `LabelEx` is disabled.
`Border` | `getDisabledBorder()` Returns the border displayed around the `LabelEx` when the `LabelEx` is disabled.
`Font` | `getDisabledFont()` Returns the font of the `LabelEx` when the `LabelEx` is disabled.
`Color` | `getDisabledForeground()` Returns the foreground color of the `LabelEx` when the `LabelEx` is disabled.
`ImageReference` | `getDisabledIcon()` Returns the icon of the `LabelEx` that is displayed when the `LabelEx` is disabled.
`Extent` | `getHeight()` Retutns the height extent of the `Heightable`.
`Insets` | `getInsets()`
`int` | `getMouseCursor()` Returns the current mouse cursor in use.
`java.lang.String` | `getMouseCursorURI()`
`Insets` | `getOutsets()`
`Color` | `getRolloverBackground()` Returns the background color of the LabelEx when the mouse cursor is inside its bounds.
`FillImage` | `getRolloverBackgroundImage()` Returns the background image displayed when the mouse cursor is inside the LabelEx's bounds.
`Border` | `getRolloverBorder()` Returns the border displayed around the LabelEx when the mouse cursor is inside its bounds.
`Font` | `getRolloverFont()` Returns the font of the LabelEx when the mouse cursor is inside its bounds.
`Color` | `getRolloverForeground()` Returns the foreground color of the LabelEx when the mouse cursor is inside its bounds.
`ImageReference` | `getRolloverIcon()` Returns the icon of the LabelEx that is displayed when the mouse cursor is inside its bounds.
`Extent` | `getWidth()` Returns the width extent of the `Widthable`.
`boolean` | `isIntepretNewlines()`
`boolean` | `isLineWrap()` Returns whether text wrapping is allowed or not.
`boolean` | `isRolloverEnabled()` Determines if rollover effects are enabled.
`void` | `setAccessKey(java.lang.String newValue)` Sets the access key to be used.
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.
`void` | `setBackgroundImage(FillImage newValue)` Sets the background image of the LabelEx.
`void` | `setBorder(Border newValue)` Sets the `Border` to be used by the `Borderable`
`void` | `setDisabledBackground(Color newValue)` Sets the background color of the `LabelEx` when the `LabelEx` is disabled.
`void` | `setDisabledBackgroundImage(FillImage newValue)` Sets the background image displayed when the `LabelEx` is disabled.
`void` | `setDisabledBorder(Border newValue)` Sets the border displayed around the `LabelEx` when the `LabelEx` is disabled.
`void` | `setDisabledFont(Font newValue)` Sets the font of the `LabelEx` when the `LabelEx` is disabled.
`void` | `setDisabledForeground(Color newValue)` Sets the foreground color of the `LabelEx` when the `LabelEx` is disabled.
`void` | `setDisabledIcon(ImageReference newValue)` Sets the icon of the `LabelEx` that is displayed when the `LabelEx` is disabled.
`void` | `setHeight(Extent newValue)` Sets the height extent of the `Heightable`.
`void` | `setInsets(Insets newValue)` Sets the Insets in play.
`void` | `setIntepretNewlines(boolean newValue)` Sets whether newlines in the text of the `LabelEx` are intepreted or not.
`void` | `setLineWrap(boolean newValue)` Returns whether line wrapping is in place.
`void` | `setMouseCursor(int mouseCursor)` Sets the mouse cursor to use.
`void` | `setMouseCursorURI(java.lang.String mouseCursorURI)` Sets the URI to a custom platform mouse cursor.
`void` | `setOutsets(Insets newValue)` Sets the Outsets in play.
`void` | `setRolloverBackground(Color newValue)` Sets the background color of the LabelEx when the mouse cursor is inside its bounds.
`void` | `setRolloverBackgroundImage(FillImage newValue)` Sets the background image displayed when the mouse cursor is inside the LabelEx's bounds
`void` | `setRolloverBorder(Border newValue)` Sets the border displayed around the LabelEx when the mouse cursor is inside its bounds.
`void` | `setRolloverEnabled(boolean newValue)` Sets whether rollover effects are enabled when the mouse cursor is inside the LabelEx's bounds.
`void` | `setRolloverFont(Font newValue)` Sets the font of the LabelEx when the mouse cursor is inside its bounds.
`void` | `setRolloverForeground(Color newValue)` Sets the foreground color of the LabelEx when the mouse cursor is inside its bounds.
`void` | `setRolloverIcon(ImageReference newValue)` Sets the icon of the LabelEx that is displayed when the mouse cursor is inside its bounds.
`void` | `setWidth(Extent newValue)` Sets the width extent of the `Widthable`.

Methods inherited from class nextapp.echo2.app.Label
`getIcon, getIconTextMargin, getText, getTextAlignment, getTextPosition, getToolTipText, isValidChild, setIcon, setIconTextMargin, setText, setTextAlignment, setTextPosition, setToolTipText`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.ToolTipable
`getToolTipText, setToolTipText`

Field Detail

### PROPERTY_BACKGROUND_IMAGE

    public static final java.lang.String PROPERTY_BACKGROUND_IMAGE

See Also:
  Constant Field Values

### PROPERTY_DISABLED_BACKGROUND

    public static final java.lang.String PROPERTY_DISABLED_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_DISABLED_BACKGROUND_IMAGE

    public static final java.lang.String PROPERTY_DISABLED_BACKGROUND_IMAGE

See Also:
  Constant Field Values

### PROPERTY_DISABLED_BORDER

    public static final java.lang.String PROPERTY_DISABLED_BORDER

See Also:
  Constant Field Values

### PROPERTY_DISABLED_FONT

    public static final java.lang.String PROPERTY_DISABLED_FONT

See Also:
  Constant Field Values

### PROPERTY_DISABLED_FOREGROUND

    public static final java.lang.String PROPERTY_DISABLED_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_DISABLED_ICON

    public static final java.lang.String PROPERTY_DISABLED_ICON

See Also:
  Constant Field Values

### PROPERTY_LINE_WRAP

    public static final java.lang.String PROPERTY_LINE_WRAP

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_BACKGROUND

    public static final java.lang.String PROPERTY_ROLLOVER_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_BACKGROUND_IMAGE

    public static final java.lang.String PROPERTY_ROLLOVER_BACKGROUND_IMAGE

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_BORDER

    public static final java.lang.String PROPERTY_ROLLOVER_BORDER

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_ENABLED

    public static final java.lang.String PROPERTY_ROLLOVER_ENABLED

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_FONT

    public static final java.lang.String PROPERTY_ROLLOVER_FONT

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_FOREGROUND

    public static final java.lang.String PROPERTY_ROLLOVER_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_ROLLOVER_ICON

    public static final java.lang.String PROPERTY_ROLLOVER_ICON

See Also:
  Constant Field Values

### PROPERTY_INTERPRET_NEWLINES

    public static final java.lang.String PROPERTY_INTERPRET_NEWLINES

See Also:
  Constant Field Values

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

Constructor Detail

### LabelEx

    public LabelEx()

  Creates a label with no text or icon.

### LabelEx

    public LabelEx(ImageReference icon)

  Creates a label with an icon.

  Parameters:
    `icon` - the icon to be displayed

### LabelEx

    public LabelEx(java.lang.String text)

  Creates a label with text.

  Parameters:
    `text` - the text to be displayed

### LabelEx

    public LabelEx(java.lang.String text,
                   ImageReference icon)

  Creates a label with text and an icon.

  Parameters:
    `text` - the text to be displayed
    `icon` - the icon to be displayed

Method Detail

### getBackgroundImage

    public FillImage getBackgroundImage()

  Returns the background image of the LabelEx.

  Returns:
    the background image

### getRolloverBackground

    public Color getRolloverBackground()

  Returns the background color of the LabelEx when the mouse cursor is inside its bounds.

  Returns:
    the color

### getRolloverBackgroundImage

    public FillImage getRolloverBackgroundImage()

  Returns the background image displayed when the mouse cursor is inside the LabelEx's bounds.

  Returns:
    the background image

### getRolloverBorder

    public Border getRolloverBorder()

  Returns the border displayed around the LabelEx when the mouse cursor is inside its bounds.

  Returns:
    the border

### getRolloverFont

    public Font getRolloverFont()

  Returns the font of the LabelEx when the mouse cursor is inside its bounds.

  Returns:
    the font

### getRolloverForeground

    public Color getRolloverForeground()

  Returns the foreground color of the LabelEx when the mouse cursor is inside its bounds.

  Returns:
    the color

### getRolloverIcon

    public ImageReference getRolloverIcon()

  Returns the icon of the LabelEx that is displayed when the mouse cursor is inside its bounds.

  Returns:
    the icon

### isLineWrap

    public boolean isLineWrap()

  Returns whether text wrapping is allowed or not.

  If this property is true then the contents of the button MAY be wrapped to fit in the smallest possible space.

  Overrides:
    `isLineWrap` in class `Label`
  Returns:
    boolean

### isRolloverEnabled

    public boolean isRolloverEnabled()

  Determines if rollover effects are enabled.

  Returns:
    true if rollover effects are enabled
  See Also:
    `setRolloverEnabled(boolean)`

### setBackgroundImage

    public void setBackgroundImage(FillImage newValue)

  Sets the background image of the LabelEx.

  Parameters:
    `newValue` - the new background image

### setLineWrap

    public void setLineWrap(boolean newValue)

  Returns whether line wrapping is in place.

  If this property is true then the contents of the text MAY be wrapped to fit in the smallest possible space.

  Overrides:
    `setLineWrap` in class `Label`
  Parameters:
    `newValue` - boolean - the wrap flag

### setRolloverBackground

    public void setRolloverBackground(Color newValue)

  Sets the background color of the LabelEx when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new `Color`

### setRolloverBackgroundImage

    public void setRolloverBackgroundImage(FillImage newValue)

  Sets the background image displayed when the mouse cursor is inside the LabelEx's bounds

  Parameters:
    `newValue` - the new background image

### setRolloverBorder

    public void setRolloverBorder(Border newValue)

  Sets the border displayed around the LabelEx when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new border

### setRolloverEnabled

    public void setRolloverEnabled(boolean newValue)

  Sets whether rollover effects are enabled when the mouse cursor is inside the LabelEx's bounds. Rollover properties have no effect unless this property is set to true. The default value is false.

  Parameters:
    `newValue` - true if rollover effects should be enabled

### setRolloverFont

    public void setRolloverFont(Font newValue)

  Sets the font of the LabelEx when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new `Font`

### setRolloverForeground

    public void setRolloverForeground(Color newValue)

  Sets the foreground color of the LabelEx when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new `Color`

### setRolloverIcon

    public void setRolloverIcon(ImageReference newValue)

  Sets the icon of the LabelEx that is displayed when the mouse cursor is inside its bounds.

  Parameters:
    `newValue` - the new icon

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `AccessKeyable`
  Returns the access key in use.

  Specified by:
    `getAccessKey` in interface `AccessKeyable`
  Returns:
    the access key in use.
  See Also:
    `AccessKeyable.getAccessKey()`

### getHeight

    public Extent getHeight()

  Description copied from interface: `Heightable`
  Retutns the height extent of the `Heightable`.

  Specified by:
    `getHeight` in interface `Heightable`
  Returns:
    the height extent of the `Heightable`.
  See Also:
    `Heightable.getHeight()`

### getInsets

    public Insets getInsets()

  Specified by:
    `getInsets` in interface `Insetable`
  Returns:
    the Insets in use or null if here are none
  See Also:
    `Insetable.getInsets()`

### getMouseCursor

    public int getMouseCursor()

  Description copied from interface: `MouseCursorable`
  Returns the current mouse cursor in use. This will be one of the following values.
  - CURSOR_DEFAULT
  - CURSOR_AUTO
  - CURSOR_CROSSHAIR
  - CURSOR_POINTER
  - CURSOR_MOVE
  - CURSOR_E_RESIZE
  - CURSOR_NE_RESIZE
  - CURSOR_NW_RESIZE
  - CURSOR_N_RESIZE
  - CURSOR_SE_RESIZE
  - CURSOR_SW_RESIZE
  - CURSOR_S_RESIZE
  - CURSOR_W_RESIZE
  - CURSOR_TEXT
  - CURSOR_WAIT
  - CURSOR_HELP
  - CURSOR_CUSTOM

  Specified by:
    `getMouseCursor` in interface `MouseCursorable`
  Returns:
    The current mouse cursor in use.
  See Also:
    `MouseCursorable.getMouseCursor()`

### getMouseCursorURI

    public java.lang.String getMouseCursorURI()

  Specified by:
    `getMouseCursorURI` in interface `MouseCursorable`
  Returns:
    The custom URI for the mouse cursor or null
  See Also:
    `MouseCursorable.getMouseCursorURI()`

### getOutsets

    public Insets getOutsets()

  Specified by:
    `getOutsets` in interface `Insetable`
  Returns:
    the Outsets in use or null if here are none
  See Also:
    `Insetable.getOutsets()`

### getWidth

    public Extent getWidth()

  Description copied from interface: `Widthable`
  Returns the width extent of the `Widthable`.

  Specified by:
    `getWidth` in interface `Widthable`
  Returns:
    the width extent of the `Widthable`.
  See Also:
    `Widthable.getWidth()`

### setAccessKey

    public void setAccessKey(java.lang.String newValue)

  Description copied from interface: `AccessKeyable`
  Sets the access key to be used.

  Specified by:
    `setAccessKey` in interface `AccessKeyable`
  Parameters:
    `newValue` - - the access key to be used.
  See Also:
    `AccessKeyable.setAccessKey(java.lang.String)`

### setHeight

    public void setHeight(Extent newValue)

  Description copied from interface: `Heightable`
  Sets the height extent of the `Heightable`.

  Specified by:
    `setHeight` in interface `Heightable`
  Parameters:
    `newValue` - - the new height extent of the `Heightable`
  See Also:
    `Heightable.setHeight(nextapp.echo2.app.Extent)`

### setInsets

    public void setInsets(Insets newValue)

  Description copied from interface: `Insetable`
  Sets the Insets in play. The Insets control the extra space around the content of a container.

  Specified by:
    `setInsets` in interface `Insetable`
  Parameters:
    `newValue` - - the Insets to use
  See Also:
    `Insetable.setInsets(nextapp.echo2.app.Insets)`

### setMouseCursor

    public void setMouseCursor(int mouseCursor)

  Description copied from interface: `MouseCursorable`
  Sets the mouse cursor to use. This will be one of the following values.
  - CURSOR_DEFAULT
  - CURSOR_AUTO
  - CURSOR_CROSSHAIR
  - CURSOR_POINTER
  - CURSOR_MOVE
  - CURSOR_E_RESIZE
  - CURSOR_NE_RESIZE
  - CURSOR_NW_RESIZE
  - CURSOR_N_RESIZE
  - CURSOR_SE_RESIZE
  - CURSOR_SW_RESIZE
  - CURSOR_S_RESIZE
  - CURSOR_W_RESIZE
  - CURSOR_TEXT
  - CURSOR_WAIT
  - CURSOR_HELP
  - CURSOR_CUSTOM

  Specified by:
    `setMouseCursor` in interface `MouseCursorable`
  Parameters:
    `mouseCursor` - - the mouse cursor to use
  See Also:
    `MouseCursorable.setMouseCursor(int)`

### setMouseCursorURI

    public void setMouseCursorURI(java.lang.String mouseCursorURI)

  Description copied from interface: `MouseCursorable`
  Sets the URI to a custom platform mouse cursor. This will only be used if the mosue cusor is set to CURSOR_CUSTOM.

  Specified by:
    `setMouseCursorURI` in interface `MouseCursorable`
  Parameters:
    `mouseCursorURI` - the URI to a custom platform mouse cursor.
  See Also:
    `MouseCursorable.setMouseCursorURI(java.lang.String)`

### setOutsets

    public void setOutsets(Insets newValue)

  Description copied from interface: `Insetable`
  Sets the Outsets in play. The Outsets control the extra space around the outside of a container.

  Specified by:
    `setOutsets` in interface `Insetable`
  Parameters:
    `newValue` - - the Ousets to use
  See Also:
    `Insetable.setOutsets(nextapp.echo2.app.Insets)`

### setWidth

    public void setWidth(Extent newValue)

  Description copied from interface: `Widthable`
  Sets the width extent of the `Widthable`.

  Specified by:
    `setWidth` in interface `Widthable`
  Parameters:
    `newValue` - - the new width extent of the `Widthable`
  See Also:
    `Widthable.setWidth(nextapp.echo2.app.Extent)`

### getBorder

    public Border getBorder()

  Specified by:
    `getBorder` in interface `Borderable`
  Returns:
    The `Border` of the `Borderable`.
  See Also:
    `Borderable.getBorder()`

### setBorder

    public void setBorder(Border newValue)

  Description copied from interface: `Borderable`
  Sets the `Border` to be used by the `Borderable`

  Specified by:
    `setBorder` in interface `Borderable`
  Parameters:
    `newValue` - - the new `Border` to use
  See Also:
    `Borderable.setBorder(nextapp.echo2.app.Border)`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

### getDisabledBackground

    public Color getDisabledBackground()

  Returns the background color of the `LabelEx` when the `LabelEx` is disabled.

  Returns:
    the color

### getDisabledBackgroundImage

    public FillImage getDisabledBackgroundImage()

  Returns the background image displayed when the `LabelEx` is disabled.

  Returns:
    the background image

### getDisabledBorder

    public Border getDisabledBorder()

  Returns the border displayed around the `LabelEx` when the `LabelEx` is disabled.

  Returns:
    the border

### getDisabledFont

    public Font getDisabledFont()

  Returns the font of the `LabelEx` when the `LabelEx` is disabled.

  Returns:
    the font

### getDisabledForeground

    public Color getDisabledForeground()

  Returns the foreground color of the `LabelEx` when the `LabelEx` is disabled.

  Returns:
    the color

### getDisabledIcon

    public ImageReference getDisabledIcon()

  Returns the icon of the `LabelEx` that is displayed when the `LabelEx` is disabled.

  Returns:
    the icon

### setDisabledBackground

    public void setDisabledBackground(Color newValue)

  Sets the background color of the `LabelEx` when the `LabelEx` is disabled.

  Parameters:
    `newValue` - the new `Color`

### setDisabledBackgroundImage

    public void setDisabledBackgroundImage(FillImage newValue)

  Sets the background image displayed when the `LabelEx` is disabled.

  Parameters:
    `newValue` - the new background image

### setDisabledBorder

    public void setDisabledBorder(Border newValue)

  Sets the border displayed around the `LabelEx` when the `LabelEx` is disabled.

  Parameters:
    `newValue` - the new border

### setDisabledFont

    public void setDisabledFont(Font newValue)

  Sets the font of the `LabelEx` when the `LabelEx` is disabled.

  Parameters:
    `newValue` - the new `Font`

### setDisabledForeground

    public void setDisabledForeground(Color newValue)

  Sets the foreground color of the `LabelEx` when the `LabelEx` is disabled.

  Parameters:
    `newValue` - the new `Color`

### setDisabledIcon

    public void setDisabledIcon(ImageReference newValue)

  Sets the icon of the `LabelEx` that is displayed when the `LabelEx` is disabled.

  Parameters:
    `newValue` - the new icon

### isIntepretNewlines

    public boolean isIntepretNewlines()

  Returns:
    true if new lines in the `LabelEx` text are interpreted. This is off by default.

### setIntepretNewlines

    public void setIntepretNewlines(boolean newValue)

  Sets whether newlines in the text of the `LabelEx` are intepreted or not. For example if this is `true` on a browser client, the new lines will be displayed using <br/> tags.

  Parameters:
    `newValue` - - the new value of the flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD